hpp-corbaserver: hpp.corbaserver.robot.Robot Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
hpp.corbaserver.robot.Robot Class Reference
Inheritance diagram for hpp.corbaserver.robot.Robot:
[legend]

## Public Member Functions
| __init__ (self, robotName=None, rootJointType=None, load=True, client=None, hppcorbaClient=None)
| rebuildRanks (self)
| urdfSrdfFilenames (self)
| urdfSrdfString (self)
| loadModel (self, robotName, rootJointType)
| urdfPath (self)
| srdfPath (self)
| getConfigSize (self)
| getNumberDof (self)
| getJointNames (self)
| getJointTypes (self)
| getAllJointNames (self)
| getParentFrame (self, frameName)
| getChildFrames (self, frameName, recursive=False)
| getParentJoint (self, jointName)
| getChildJoints (self, jointName, recursive=False)
| getJointPosition (self, jointName)
| getRootJointPosition (self)
| setRootJointPosition (self, position)
| setJointPosition (self, jointName, position)
| getCurrentTransformation (self, jointName)
| getJointNumberDof (self, jointName)
| getJointConfigSize (self, jointName)
| setJointBounds (self, jointName, inJointBound)
| getJointBounds (self, jointName)
| getSaturated (self, q)
| getLinkPosition (self, linkName)
| getLinkNames (self, jointName)
| setCurrentConfig (self, q)
| getCurrentConfig (self)
| setCurrentVelocity (self, v)
| getCurrentVelocity (self)
| shootRandomConfig (self)
| getJointInnerObjects (self, jointName)
| getJointOuterObjects (self, jointName)
| getObjectPosition (self, objectName)
| removeObstacleFromJoint (self, objectName, jointName)
| isConfigValid (self, cfg)
| configIsValid (self, cfg)
| distancesToCollision (self)
| getRobotAABB (self)
| getMass (self)
| getCenterOfMass (self)
| getJacobianCenterOfMass (self)

## Public Attributes
| client
| hppcorba
| name
| rootJointType
| displayName
| jointNames
| allJointNames
| rankInConfiguration
| rankInVelocity
| childFrames
| parentJoint
| childJoints
| urdfString

## Protected Member Functions
| _computeKinematicChain (self)

## Constructor & Destructor Documentation

## ◆ __init__()

hpp.corbaserver.robot.Robot.__init__ | ( |  | self,
|  |  | robotName = `None`,
|  |  | rootJointType = `None`,
|  |  | load = `True`,
|  |  | client = `None`,
|  |  | hppcorbaClient = `None`
| ) |  |

Reimplemented in hpp.corbaserver.robot.RobotXML, and hpp.corbaserver.robot.HumanoidRobot.

## Member Function Documentation

## ◆ _computeKinematicChain()

hpp.corbaserver.robot.Robot._computeKinematicChain | ( |  | self | ) |
| protected

## ◆ configIsValid()

hpp.corbaserver.robot.Robot.configIsValid | ( |  | self,
|  |  | cfg
| ) |  |

## ◆ distancesToCollision()

hpp.corbaserver.robot.Robot.distancesToCollision | ( |  | self | ) |

## ◆ getAllJointNames()

hpp.corbaserver.robot.Robot.getAllJointNames | ( |  | self | ) |

## ◆ getCenterOfMass()

hpp.corbaserver.robot.Robot.getCenterOfMass | ( |  | self | ) |

## ◆ getChildFrames()

hpp.corbaserver.robot.Robot.getChildFrames | ( |  | self,
|  |  | frameName,
|  |  | recursive = `False`
| ) |  |

## ◆ getChildJoints()

hpp.corbaserver.robot.Robot.getChildJoints | ( |  | self,
|  |  | jointName,
|  |  | recursive = `False`
| ) |  |

## ◆ getConfigSize()

hpp.corbaserver.robot.Robot.getConfigSize | ( |  | self | ) |

## ◆ getCurrentConfig()

hpp.corbaserver.robot.Robot.getCurrentConfig | ( |  | self | ) |

## ◆ getCurrentTransformation()

hpp.corbaserver.robot.Robot.getCurrentTransformation | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getCurrentVelocity()

hpp.corbaserver.robot.Robot.getCurrentVelocity | ( |  | self | ) |

## ◆ getJacobianCenterOfMass()

hpp.corbaserver.robot.Robot.getJacobianCenterOfMass | ( |  | self | ) |

## ◆ getJointBounds()

hpp.corbaserver.robot.Robot.getJointBounds | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getJointConfigSize()

hpp.corbaserver.robot.Robot.getJointConfigSize | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getJointInnerObjects()

hpp.corbaserver.robot.Robot.getJointInnerObjects | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getJointNames()

hpp.corbaserver.robot.Robot.getJointNames | ( |  | self | ) |

## ◆ getJointNumberDof()

hpp.corbaserver.robot.Robot.getJointNumberDof | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getJointOuterObjects()

hpp.corbaserver.robot.Robot.getJointOuterObjects | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getJointPosition()

hpp.corbaserver.robot.Robot.getJointPosition | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getJointTypes()

hpp.corbaserver.robot.Robot.getJointTypes | ( |  | self | ) |

## ◆ getLinkNames()

hpp.corbaserver.robot.Robot.getLinkNames | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getLinkPosition()

hpp.corbaserver.robot.Robot.getLinkPosition | ( |  | self,
|  |  | linkName
| ) |  |

## ◆ getMass()

hpp.corbaserver.robot.Robot.getMass | ( |  | self | ) |

## ◆ getNumberDof()

hpp.corbaserver.robot.Robot.getNumberDof | ( |  | self | ) |

## ◆ getObjectPosition()

hpp.corbaserver.robot.Robot.getObjectPosition | ( |  | self,
|  |  | objectName
| ) |  |

## ◆ getParentFrame()

hpp.corbaserver.robot.Robot.getParentFrame | ( |  | self,
|  |  | frameName
| ) |  |

## ◆ getParentJoint()

hpp.corbaserver.robot.Robot.getParentJoint | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getRobotAABB()

hpp.corbaserver.robot.Robot.getRobotAABB | ( |  | self | ) |

## ◆ getRootJointPosition()

hpp.corbaserver.robot.Robot.getRootJointPosition | ( |  | self | ) |

## ◆ getSaturated()

hpp.corbaserver.robot.Robot.getSaturated | ( |  | self,
|  |  | q
| ) |  |

## ◆ isConfigValid()

hpp.corbaserver.robot.Robot.isConfigValid | ( |  | self,
|  |  | cfg
| ) |  |

## ◆ loadModel()

hpp.corbaserver.robot.Robot.loadModel | ( |  | self,
|  |  | robotName,
|  |  | rootJointType
| ) |  |

Reimplemented in hpp.corbaserver.robot.HumanoidRobot, and hpp.corbaserver.robot.RobotXML.

## ◆ rebuildRanks()

hpp.corbaserver.robot.Robot.rebuildRanks | ( |  | self | ) |

## ◆ removeObstacleFromJoint()

hpp.corbaserver.robot.Robot.removeObstacleFromJoint | ( |  | self,
|  |  | objectName,
|  |  | jointName
| ) |  |

## ◆ setCurrentConfig()

hpp.corbaserver.robot.Robot.setCurrentConfig | ( |  | self,
|  |  | q
| ) |  |

## ◆ setCurrentVelocity()

hpp.corbaserver.robot.Robot.setCurrentVelocity | ( |  | self,
|  |  | v
| ) |  |

## ◆ setJointBounds()

hpp.corbaserver.robot.Robot.setJointBounds | ( |  | self,
|  |  | jointName,
|  |  | inJointBound
| ) |  |

## ◆ setJointPosition()

hpp.corbaserver.robot.Robot.setJointPosition | ( |  | self,
|  |  | jointName,
|  |  | position
| ) |  |

## ◆ setRootJointPosition()

hpp.corbaserver.robot.Robot.setRootJointPosition | ( |  | self,
|  |  | position
| ) |  |

## ◆ shootRandomConfig()

hpp.corbaserver.robot.Robot.shootRandomConfig | ( |  | self | ) |

## ◆ srdfPath()

hpp.corbaserver.robot.Robot.srdfPath | ( |  | self | ) |

## ◆ urdfPath()

hpp.corbaserver.robot.Robot.urdfPath | ( |  | self | ) |

Reimplemented in hpp.corbaserver.robot.RobotXML.

## ◆ urdfSrdfFilenames()

hpp.corbaserver.robot.Robot.urdfSrdfFilenames | ( |  | self | ) |

## ◆ urdfSrdfString()

hpp.corbaserver.robot.Robot.urdfSrdfString | ( |  | self | ) |

## Member Data Documentation

## ◆ allJointNames

hpp.corbaserver.robot.Robot.allJointNames

## ◆ childFrames

hpp.corbaserver.robot.Robot.childFrames

## ◆ childJoints

hpp.corbaserver.robot.Robot.childJoints

## ◆ client

hpp.corbaserver.robot.Robot.client

## ◆ displayName

hpp.corbaserver.robot.Robot.displayName

## ◆ hppcorba

hpp.corbaserver.robot.Robot.hppcorba

## ◆ jointNames

hpp.corbaserver.robot.Robot.jointNames

## ◆ name

hpp.corbaserver.robot.Robot.name

## ◆ parentJoint

hpp.corbaserver.robot.Robot.parentJoint

## ◆ rankInConfiguration

hpp.corbaserver.robot.Robot.rankInConfiguration

## ◆ rankInVelocity

hpp.corbaserver.robot.Robot.rankInVelocity

## ◆ rootJointType

hpp.corbaserver.robot.Robot.rootJointType

## ◆ urdfString

hpp.corbaserver.robot.Robot.urdfString

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/robot.py